package Audio;

/**
 * Java Event untuk BassSoundManager
 * @author rdkartono
 *
 */
public interface BassSoundManagerListener {
	public void Opened();
	public void Closed();
	public void WriteFromRTP(int length, byte[] pcmdata);
	public void ReadToRTP(int length, byte[] pcmdata);
	public void log_info(String msg);
	public void log_error(String msg);
	public void DeviceFailure(String msg);
	public void BufferingInformation(String msg);
	public void ChannelLevel(boolean is_input, int value);
}
